Skip to main content
POST
Create consolidation rule

Authorizations

X-API-Key
string
header
required

Headers

API-Version
enum<string>
default:v1

API version (defaults to the latest supported version if omitted).

Available options:
v1
Idempotency-Key
string

Unique key (1-255 printable ASCII chars) used to safely retry write operations. Same key + body returns the cached response; same key + different body returns 409.

Required string length: 1 - 255

Path Parameters

vault_id
string<uuid>
required

Vault ID

Body

application/json
chain
string
required
destination_type
enum<string>
required
Available options:
address_book,
vault
gas_source
enum<string>
required

Who pays gas for the consolidation transfer: bitnob_paymaster (Bitnob sponsors the fee), customer_gas_station, or wallet.

Available options:
bitnob_paymaster,
customer_gas_station,
wallet
Example:

"bitnob_paymaster"

trigger_type
enum<string>
required
Available options:
threshold,
scheduled,
manual
vault_id
string<uuid>
required
assets
object[]
destination_address_book_id
string<uuid>
destination_vault_id
string<uuid>
enabled
boolean
gas_station_id
string<uuid>
min_consolidate_usd
string
Example:

"25.5"

network
string
schedule_cron
string
Maximum string length: 100
threshold_basis
enum<string>
Available options:
aggregate,
per_address
threshold_currency
enum<string>
Available options:
usd,
token
threshold_value
string
Example:

"25.5"

Response

Created

active_run_id
string
assets
object[]
chain
string
created_at
string
destination_address_book_id
string
destination_type
string
destination_vault_id
string
enabled
boolean
gas_source
string
gas_station_id
string
id
string
in_flight_sweeps
integer
min_consolidate_usd
string
Example:

"25.5"

network
string
object
string
org_id
string
schedule_cron
string
threshold_basis
string
threshold_currency
string
threshold_value
string
Example:

"25.5"

trigger_type
string
updated_at
string
vault_id
string